Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api.peer
Class TextPeer

    java.lang.Object
      |
      +--com.macromedia.generator.api.peer.TextPeer

public class TextPeer
extends java.lang.Object

Constructor Summary
`TextPeer()`

Method Summary
`(package private) static void` | `()`
`static int` | `GetBounds(int i, int[] ai)`
`static int` | `New()`
`static int` | `Release(int i)`
`static int` | `SetAlignment(int i, int j)`
`static int` | `SetCenter(int i, int j, int k)`
`static int` | `SetColor(int i, int j)`
`static int` | `SetFont(int i, int j)`
`static int` | `SetIndent(int i, int j)`
`static int` | `SetLeading(int i, int j)`
`static int` | `SetLeftMargin(int i, int j)`
`static int` | `SetLineWidth(int i, int j)`
`static int` | `SetPosition(int i, int j)`
`static int` | `SetRgb(int i, int j)`
`static int` | `SetRightMargin(int i, int j)`
`static int` | `SetSize(int i, int j)`
`static int` | `SetSpacing(int i, int j)`
`static int` | `SetString(int i, java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextPeer

    public TextPeer()

Method Detail

### GetBounds

    public static int GetBounds(int i,
                                int[] ai)

### New

    public static int New()

### Release

    public static int Release(int i)

### SetAlignment

    public static int SetAlignment(int i,
                                   int j)

### SetCenter

    public static int SetCenter(int i,
                                int j,
                                int k)

### SetColor

    public static int SetColor(int i,
                               int j)

### SetFont

    public static int SetFont(int i,
                              int j)

### SetIndent

    public static int SetIndent(int i,
                                int j)

### SetLeading

    public static int SetLeading(int i,
                                 int j)

### SetLeftMargin

    public static int SetLeftMargin(int i,
                                    int j)

### SetLineWidth

    public static int SetLineWidth(int i,
                                   int j)

### SetPosition

    public static int SetPosition(int i,
                                  int j)

### SetRgb

    public static int SetRgb(int i,
                             int j)

### SetRightMargin

    public static int SetRightMargin(int i,
                                     int j)

### SetSize

    public static int SetSize(int i,
                              int j)

### SetSpacing

    public static int SetSpacing(int i,
                                 int j)

### SetString

    public static int SetString(int i,
                                java.lang.String s)

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD